Python 2 ya no es compatible con la comunidad. Recomendamos que migres las apps de Python 2 a Python 3.

Framework de webapp2

Nota: Este framework solo está disponible para los usuarios de Python 2.7.

Un marco de trabajo de aplicación web puede simplificar el desarrollo, pues se encarga de los detalles de la interfaz, lo que te permite enfocar tus esfuerzos de desarrollo en las características de la aplicación. App Engine incluye un marco de trabajo de aplicaciones web sencillo llamado webapp2; un marco básico que te permite compilar aplicaciones web sencillas para el entorno de ejecución de Python 2.7.

webapp2 es compatible con el estándar WSGI para aplicaciones web de Python. No tienes que usar webapp2 para escribir aplicaciones de Python en App Engine. Hay otros marcos de trabajo de aplicaciones web, como Django, que funcionan con App Engine, y App Engine es compatible con cualquier código de Python que use el estándar CGI. El proyecto de webapp2, de Rodrigo Moraes, empezó como una rama del framework de webapp de App Engine, que usaba el entorno de ejecución de Python 2.5. webapp2 incluye un conjunto de características que facilitan el desarrollo de aplicaciones web, como una mayor compatibilidad con el enrutamiento de URI, la administración de sesiones y la localización. El entorno de ejecución de Python 2.7 usa webapp2 y el proyecto se mantiene de forma externa a App Engine. Es compatible con Google, pero Google no lo conserva.

Para obtener más información sobre webapp2, consulta la documentación oficial.

Usar el marco de trabajo webapp2 en Python 2.7

Las aplicaciones de Python 2.7 pueden usar WSGI o CGI para manejar solicitudes, pero suele recomendarse WSGI.

Blobstore y controladores de correo electrónico

Como es una biblioteca externa, webapp2 no provee ningún servicio específico de App Engine. Las apps de Python 2.7 deben usar las versiones de webapp de BlobstoreUploadHandler y BlobstoreDownloadHandler. Consulta Controladores de webapp de Blobstore para obtener más detalles.